<?php
// Remember to copy files from the SDK's src/ directory to a
// directory in your application on the server, such as php-sdk/
	require_once('facebook.php');
	
	session_start();
	
	$config = array(
	'appId' => $_SESSION['fbAppId'],
	'secret' => $_SESSION['fbsecret'],
	'cookie' => true
	);
	
	$facebook = new Facebook($config);
	$user_id = $facebook->getUser();
	$access_token = $facebook->getAccessToken();
	$logout="<a href='" . $facebook->getLogoutUrl() . "'>Logout</a>";
	$goToFacebook="<a href='http://www.facebook.com/".$user_id."'>Ir a mi muro</a>";
	
	try{		
		$ret_obj = $facebook->api('/me/feed', 'POST',array(
                        'link' => $_SESSION["rutaalproducto"],
                        'message' =>$_SESSION["messagesocial"],
                        'picture' => $_SESSION["rutaImagenProducto"]
                		));
		
		$tipo="loged";
		$resultmsg="Se ha publicado ".$_SESSION["messagesocial"]." en el muro ";
	}
	catch (FacebookApiException $e)
	{
		$tipo="error";	
		$resultmsg="No ha sido posible publicar ".$_SESSION["messagesocial"]." en el muro ";
	}
?>
<html>
	<head>
	<style>
	*{
		margin:0px;
		outline:0px;
		padding: 0px;
		border: 0px;
		font-family: Arial, Helvetica, sans-serif;
	}
	html, body {	   
		background-color:#fff;
	}
	.error{
		padding:4px;
		border:1px solid red;
		background-color:#ffdddd;
	}  
	.loged{
		padding:4px;
		border:1px solid green;
		background-color:#ddffdd;
		width:90%;
		margin:0px auto;
	}
	#cuerpo{
		margin-top:20px;
		padding:20px;
		width:90%;
		margin:0px auto;
		background-color:#fff;
	}  
	h1{
		width: 100%; 
		background:url('logofb.png') no-repeat 20px #3b5998;
		color:white;
		padding:10px;
		height:30px;
	}   
	.dialog_buttons{
		background-color:#f2f2f2;
		border-top:1px solid #ccc;
		bottom:0;
		left:0;
		right:0;
		margin:0;
		padding:8px 10px;
		position:absolute;
		font-size: 11px;
		width:100%;
	}
	.dialog_buttons a{
		font-weight: bold;
		cursor: pointer;
		color: #3B5998;
		text-decoration: none;
	}
	</style>
	<script type="text/javascript">
		window.onunload = function (e) {
		    window.opener.SePuedeEnviar("fb");
		}
	</script>
	</head>
	<body>
		<h1></h1>
		<div id='cuerpo'>
			<div class="<?php echo $tipo?>">
				<?php print $resultmsg?>
			</div>
		  <table class="dialog_buttons">
		  <tr>
			  <td><?php print $logout?></td>
			  <td style="text-align:right;"><?php print $goToFacebook?></td >
		  </tr>
		  </table>
		</div>
	</body> 
</html>  