<!-- Block shopfeedback-->
<div id="shopfeedback_block_left" class="block">
	<link rel="stylesheet" type="text/css" href="{$module_dir}css/shopfeedback.css" />
	<link rel="stylesheet" href="{$module_dir}css/jquery-ui-1.8.10.custom_FO.css" type="text/css" media="all" />
	<script type="text/javascript" src="{$base_dir}js/jquery/jquery-ui-1.8.10.custom.min.js"></script>
	<script type="text/javascript" src="{$module_dir}js/jquery.rating.pack.js"></script>
	<script type="text/javascript" src="{$module_dir}js/shopfeedback_FO.js"></script>
	<script type="text/javascript">
	        var feedback_dir   	= "{$module_dir}";
	        var allow_guests 	= Boolean({$allow_guests});
	        var enable_captcha 	= Boolean({$enable_captcha});
	        var msg_empty_customer_name = "{l s='empty customer name' mod='shopfeedback'}";
	        var msg_empty_comment = "{l s='empty comment' mod='shopfeedback'}";
	        var msg_empty_rate = "{l s='empty rate' mod='shopfeedback'}";
	        var msg_incorrect_captcha = "{l s='Sorry, you have provided an invalid security code' mod='shopfeedback'}";
	</script>
	<script>
    {literal}
        $(function(){                       
            {/literal}
            {if $remember_email eq 1}
                {if $allow_guests || $is_logged}
                    displayFeedbackDialog();                    
                {/if}                
            {/if}        
            {literal}                                                                                  
        });                 
        {/literal}
    </script>
	<h4>{l s='Shop Feedback' mod='shopfeedback'}</h4>
<!-- div feedback content-->
    <div id="div_content_feedback" class="block_content shopfeedback_block_content">
    	<form id="view_feedback_form" action="{$module_dir}shopfeedbacklist.php" method="post">
    		<input type="hidden" id="action" name="action" value="viewFeedback" />
    	</form>
    	<div class="div_comment">
    		<span>{l s='some opinions' mod='shopfeedback'}:</span><br><br>
             <ul class="block_content bullet">		 
                {foreach name='comment' from=$comments item='comment'}
                 <li>{$comment|truncate:100:'...'|strip_tags:'UTF-8'|escape:'htmlall':'UTF-8'}...</li>
    			{/foreach}        
        	</ul>
        </div>
        <div id="view_feedback">
    		{l s='More opinions' mod='shopfeedback'}
   		</div>
    	<div>
    		<div style="margin:0 0 0 -8px">
		         {if $allow_guests || $is_logged}
		         	<input type="button" name="btnDisplayFeedbackComment" id="btnDisplayFeedbackComment" class="button_large" value="{l s='give us your opinion' mod='shopfeedback'}"/>
		         {/if}
            </div>                    
                                       
            {if $allow_guests || $is_logged}
            {else}
                <span style="text-align:center; color:red">{l s='You must be registered to place a rating and comment' mod='shopfeedback'}.</span>
            {/if}         
        </div>
    </div>
<!-- /div feedback content-->

<!-- add feedback comment dialog-->
	<div id="FeedbackCommentDialog" title=" {l s='Share your experiece shopping with us and the quality of the service!' mod='shopfeedback'}">
  		{if $allow_guests || $is_logged == false}
        	<label>{l s='Name' mod='shopfeedback'}:</label>
			<div class="margin-form"><input type="text" id="txtCustomerNameFeedbackDialog" name="txtCustomerNameFeedbackDialog" value=""/></div>
		{/if}
  		<label for="txtCommentFeedbackDialog">{l s='Comment' mod='shopfeedback'}:</label>
		<div class="margin-form" id="commentFeedback">
		<textarea id="txtCommentFeedbackDialog" name="txtCommentFeedbackDialog" cols="46" rows="5"></textarea>
   		<span id="charactersFeedbackDialog"></span>&nbsp;<span>{l s='Characters' mod='shopfeedback'}</span>
   		</div>
   		<label for="radioCommentGradeFeedbackDialog">{l s='Grade' mod='shopfeedback'}:</label>
   		<div class="margin-form">
			{section name=star start=1 loop=$num_stars+1 step=1}
			    {assign var='i' value=$smarty.section.star.index}
			    {assign var='checked' value=''}
			    {if $i == 3}
				    {assign var='checked' value='checked="checked"'}
				    {/if}
			    <input class="star" type="radio" name="radioCommentGradeFeedbackDialog" value="{$i}" {$checked}/>
			{/section}
		</div><br><br>
		{if $enable_captcha}
			<label>{l s='Enter the code Captcha' mod='shopfeedback'}:</label>
			<div class="margin-form">
				<img border="0" id="imgCaptchaFeedback" src="{$module_dir}capchapepean.php" />
			<input type="text" size="5" name="txtCaptchaFeedbackDialog" id="txtCaptchaFeedbackDialog" style="vertical-align: top; height: 28px; font-size: 14px;" maxlength="5"/>
			</div><br>
		{/if}
		<div id="div_loading"></div>
		<div class="margin-form" align="center">
			<input type="button" name="btnSaveFeedbackDialog" id="btnSaveFeedbackDialog" value="{l s='Save' mod='shopfeedback'}" class="button" style="display: inline" />                    
			<input type="button" name="btnCancelFeedbackDialog" id="btnCancelFeedbackDialog" value="{l s='Cancel' mod='shopfeedback'}" class="button" style="display: inline"/>
		</div>
  	</div>
<!-- /add feedback comment dialog-->
</div>
<!-- /Block shopfeedback-->
