<?php
/*
Author: Judith Buetas Solanellas
Date: 30/11/2011
Shop Feedback List
*/

require_once(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');
require_once(dirname(__FILE__)."/productcomments.php");

if(isset($_POST['action']))
{
	global $cookie;
 	switch ($action)
	{
	case 'edit_product_comment':
	
		if (isset($_POST['id_product_comment']) AND isset($_POST['count_criterions']) AND isset($_POST['title']) AND isset($_POST['comment']))
		{
			$id_product_comment = Tools::getValue('id_product_comment');
			$count_criterions = Tools::getValue('count_criterions');
			
			for($i=0; $i<$count_criterions; $i++)
			{
				$aGradeCriterium[$i] = Tools::getValue($i.'grade_criterium');
				$aGradeValue[$i] = Tools::getValue($i.'grade_value');
			}
		    
			$customer_name  = Tools::getValue('customer_name');
			$title  = Tools::getValue('title');
			$comment  = Tools::getValue('comment');     
	    
			$productcomments = new productcomments();
			echo $productcomments->_saveProductComment($id_product_comment,$aGradeCriterium,$aGradeValue,$customer_name,$title,$comment);
		}
	break;
	case 'save_product_comment':   
        if (isset($_POST['count_criterions']) AND isset($_POST['title']) AND isset($_POST['comment']))
		{
			require_once(dirname(__FILE__).'/ProductComment.php');
			require_once(dirname(__FILE__).'/ProductCommentCriterion.php');

			$sSocial_networks = Tools::getValue('social_networks');
			$aSocial_networks = explode(",", $sSocial_networks);
			
			$id_guest = (!$id_customer = (int)$cookie->id_customer) ? (int)$cookie->id_guest : false;	
			$customer_name = ($cookie->id_customer != 0 ? ucwords($cookie->customer_firstname) . " " . ucwords($cookie->customer_lastname) : "Guest");
		
			$comment = new ProductComment();
			$comment->content = strip_tags(Tools::getValue('comment'));
			$comment->id_product = (int)Tools::getValue('id_product');
			$comment->id_customer = (int)$id_customer;
			$comment->id_guest = (int)$id_guest;
			$comment->customer_name = $customer_name;
			$comment->title = pSQL(Tools::getValue('title'));
			$comment->grade = 0;
			$comment->validate = 1;//modificamos el valor inicial de validate para que siempre esté activo

			$comment->save();
						
			for ($i = 1, $grade = 0; isset($_POST[$i.'grade_value']) === true; ++$i)
			{
				$cgrade = (int)Tools::getValue($i.'grade_value');
				$grade += $cgrade;
				$productCommentCriterion = new ProductCommentCriterion((int)Tools::getValue($i.'grade_criterium'));
				if ($productCommentCriterion->id)
					$productCommentCriterion->addGrade($comment->id, $cgrade);
			}
			
			if (($i - 1) > 0)
				$comment->grade = ($grade / ($i - 1));

			if (!$comment->save())
				$errors[] = $this->l('An error occurred while saving your comment.');
			else
			{
				$num_comments_display = (int)Configuration::get('PRODUCT_COMMENTS_NUM_DISPLAY');
				
				$aComments =$comment->getByProduct((int)Tools::getValue('id_product'),1,$num_comments_display);
				
				$cadena  = '';
				foreach($aComments  as $aComment)
				{
					$cadena  .= '
					<tr>
						<td style="vertical-align:top">'.$aComment['date_add'].$aComment['customer_name'].'</td>
						<td style="vertical-align:top">'.$aComment['title'].'</td>
						<td style="vertical-align: top">'.$aComment['content'].'</td>
					</tr>';
				}
				print $cadena;
				
				$maxId = Db::getInstance()->getRow('SELECT MAX(id_product_comment) as max_id_product_comment FROM `'._DB_PREFIX_.'product_comment`');

				if(!empty($aSocial_networks))
				{
					$comment->id_comment = $maxId['max_id_product_comment'];
					$comment->comments_type = 'products';

					foreach($aSocial_networks as $social_network)
					{
						$comment->social_network = $social_network;
						$comment->addCommentToSocialNetwork();
					}
				}
				
				if (Configuration::get('PRODUCT_COMMENTS_NOTIFY_BY_EMAIL'))
                {                    
                	$sqlProductComment = 'SELECT pc.*,pl.name AS product_name FROM `'._DB_PREFIX_.'product_comment` AS pc
                	INNER JOIN `'._DB_PREFIX_.'product_lang` AS pl ON  (pc.id_product = pl.id_product AND pl.id_lang='.(int)($cookie->id_lang).')
                	WHERE `id_product_comment` = (SELECT MAX(id_product_comment) FROM `'._DB_PREFIX_.'product_comment`)';
                			
                    $productComment = Db::getInstance()->getRow($sqlProductComment);

					if(empty($productComment['customer_name']))
						$customer_name = ($cookie->id_customer != 0 ? ucwords($cookie->customer_firstname) . " " . ucwords($cookie->customer_lastname) : "Guest");
					else
						$customer_name = $productComment['customer_name'];
                    				  
					$values = array(
						'{grade}' => $productComment['grade'],
						'{product_name}' => $productComment['product_name'],
                        '{title}' => $productComment['title'],
                        '{customer_name}' => $customer_name,
                        '{content}' => $productComment['content']);
								
					$productcomments = new productcomments();
					$productcomments->sendProductCommentMail($values);
                   }  
				}
			}
    break;
	default:
	    ;
    }
}
