<?php
	session_start();
    error_reporting(E_ALL);
    ini_set('display_errors', '1');
    include "twitteroauth.php";
    $consumer_key=$_SESSION["consumer_key"];
    $consumer_secret=$_SESSION["consumer_secret"];
    define("CONSUMER_SECRET", $consumer_secret);
    define("CONSUMER_KEY", $consumer_key);
   
     $maxLength = QueLongitud();
 
    if (isset($_REQUEST['oauth_token']) && $_SESSION['oauth_token'] !== $_REQUEST['oauth_token']) {
		echo 'Session expired';
    }
    else
    {
		$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $_SESSION['oauth_token'], $_SESSION['oauth_token_secret']);
		$token_credentials = $connection->getAccessToken();
		$connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $token_credentials['oauth_token'], $token_credentials['oauth_token_secret']);
		
		foreach($_SESSION["aSocialTw"] as $aSocial)
		{
			$message=$aSocial["messagesocial"];
    		$message=substr($message,0,$maxLength);
			$rutaalproductot=$aSocial["rutaalproducto"];
			$noticia=$rutaalproductot." ".$message."...";
		
			$result = $connection->post('statuses/update', array('status' => $noticia,'wrap_links' =>1));
			$httpCode = $connection->http_code;
			if ($httpCode == 200)
			{
	    		$resultmsg = "Se han publicado todos los comentarios en Twitter";
	    		$tipo="loged";
			}
			else
			{
				$resultmsg="No ha sido posible publicar todos los comentarios en Twitter";
	    		//$resultmsg .= 'Could not post Tweet'. $noticia.'.<br> Error: '.$httpCode.' Reason: '.$result->error;
	     		$tipo="error";
			}
		}	
    }
    
    unset($_SESSION["aSocialTw"]);
	unset($_SESSION["redirectsocialTw"]);
	
    function QueLongitud()
    {
		$longitudmaximapost=140;
	
    	$data = json_decode(file_get_contents('https://api.twitter.com/1/help/configuration.json'), true);
		$longitudmaximapost=$longitudmaximapost- $data['short_url_length']-4;
		return $longitudmaximapost;
    }

?>

<html>
    <head>
	<style>
	    *{
	    margin:0px;
	    outline:0px;
	    padding: 0px;
	    border: 0px;
	    font-family: Arial, Helvetica, sans-serif;
	}
	html, body {
	   
	    background-color:#ffffff;
	}
 
	.error
	{
	padding:4px;
	border:1px solid red;
	background-color:#ffdddd;
    }
    
    .loged
    {
	padding:4px;
	border:1px solid green;
	background-color:#ddffdd;
	width:90%;
	margin:0px auto;
    }
    #cuerpo
    {
	margin-top:20px;
	padding:20px;
	width:90%;
	margin:0px auto;
    }
    h1{
	width: 100%;	 
	background:url('https://twimg0-a.akamaihd.net/a/1326303513/phoenix/img/twitter_logo_right.png') no-repeat 20px #111;
	color:white;
	padding:10px;
	height:30px;
    }
    </style>
	<script type="text/javascript">
	window.onunload = function (e) {
	    window.opener.SePuedeEnviar("tw");
	}
	</script>
    </head>
      <body>
	<h1></h1>
	<div id='cuerpo'>
	    <div class="<?php echo $tipo?>">
	    <?php echo $resultmsg ?>
	    </div>
	</div>
  </body> 
</html>  